# ProofOfIdentity

## Function: ~~ProofOfIdentity()~~

> **ProofOfIdentity**(`ProofOfIdentityParameters`): `object`

ProofOfIdentity is a function that retrieves and processes identity-related data for a specified user from a smart contract. It interacts with different contract methods to fetch user-specific metadata using provided parameters.

### Parameters

#### ProofOfIdentityParameters

`ProofOfIdentityParameters`

The object containing the parameters required.

### Returns

`object`

#### ~~data~~

> **data**: `object` = `poiData`

**data.balance**

> **data.balance**: `undefined` | `bigint` = `poiResult.balance`

**data.competencyRating**

> **data.competencyRating**: `undefined` | `bigint` = `poiResult.competencyRating`

**data.countryCode**

> **data.countryCode**: `undefined` | `string` = `poiResult.countryCode`

**data.expiry**

> **data.expiry**: `undefined` | `bigint` = `poiResult.expiry`

**data.isSuspended**

> **data.isSuspended**: `undefined` | `boolean` | `0n`

**data.primaryID**

> **data.primaryID**: `undefined` | readonly \[`boolean`, `bigint`, `bigint`] = `poiResult.primaryID`

**data.userType**

> **data.userType**: `undefined` | `bigint` = `poiResult.userType`

#### ~~error~~

> **error**: `null` | `ReadContractsErrorType`

#### ~~isError~~

> **isError**: `boolean`

#### ~~isLoading~~

> **isLoading**: `boolean`

#### ~~isPending~~

> **isPending**: `boolean`

#### ~~isRefetching~~

> **isRefetching**: `boolean`

#### ~~refetch()~~

> **refetch**: (`options`?) => `Promise`<`QueryObserverResult`<{ `balance`: `undefined` | `bigint`; `competencyRating`: `undefined` | `bigint`; `countryCode`: `undefined` | `string`; `expiry`: `undefined` | `bigint`; `isSuspended`: `undefined` | `boolean`; `primaryID`: `undefined` | readonly \[`boolean`, `bigint`, `bigint`]; `userType`: `undefined` | `bigint`; }, `ReadContractsErrorType`>>

**Parameters**

**options?**

`RefetchOptions`

**Returns**

`Promise`<`QueryObserverResult`<{ `balance`: `undefined` | `bigint`; `competencyRating`: `undefined` | `bigint`; `countryCode`: `undefined` | `string`; `expiry`: `undefined` | `bigint`; `isSuspended`: `undefined` | `boolean`; `primaryID`: `undefined` | readonly \[`boolean`, `bigint`, `bigint`]; `userType`: `undefined` | `bigint`; }, `ReadContractsErrorType`>>

### Deprecated

Use ProofOfIdentityV2 instead for Mainnet.

### Defined in

[packages/wagmi/src/contract/ProofOfIdentity.tsx:38](https://github.com/haven1network/haven1-sdk/blob/df6267fec7b75040411529269f9c6a88e9c756ee/packages/wagmi/src/contract/ProofOfIdentity.tsx#L38)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-wagmi-sdk/contract-module/proofofidentity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
